Logicielsmoto.com

Nous sommes le 23 Oct 2019, 22:18

Heures au format UTC + 1 heure




Poster un nouveau sujet Répondre au sujet  [ 16 messages ]  Aller à la page 1, 2  Suivante
Auteur Message
 Sujet du message: Teo version 1.8.0
MessagePosté: 21 Oct 2011, 22:21 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
La version 1.8.0 de Teo est disponible dès maintenant pour Windows et
Linux, en Français et en Anglais.
Vous pouvez la télécharger par les liens suivants :

Versions auto-installables
Versions fichiers
Sources C

EDIT: Les mises à jour seront notées ci-après selon les interventions des utilisateurs :

23 octobre 2011 15:45
- précision "(Menu:ESC)" en titre de la fenêtre de l'émulateur pour la version Windows.
- fichiers textes (licence, readme, etc...) en caractères Windows.
24 novembre 2011 09:00
- entre autre, passage de l'exécutable dans le répertoire racine pour les versions exécutables Windows et MsDos (il se trouvait dans le répertoire 'misc\pack\').
7 décembre 2011 17:00
- merci à Yoann pour avoir accepté d'héberger les fichiers à télécharger
14 janvier 2012 09:00
- La commande $01 lance désormais le boot en face 1 (merci à Daniel Coulom), la compilation Loriciels "Bob Winner/Space Racer" fonctionne bien
- Reset des noms affichés sur les boutons de fichiers sous Linux si le fichier sélectionné n'est pas au bon format


Dernière édition par Prehisto le 14 Jan 2012, 15:37, édité 9 fois.

Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 23 Oct 2011, 08:46 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
Les évolutions apportées par cette version sont:
_l'affichage entrelacé par Sam, permettant un affichage plus réaliste des démos Truc216i et Truc40i;
_ La refonte des menus;
_ La traduction en anglais (la version francaise reste présente);
_ Le nettoyage et la traduction de la doc;
_ Le debugger sous GTK (versions Win32 et linux);
_ le packaging .deb pour simplifier l'installation linux (debian, ubuntu, mint).

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 14 Jan 2012, 15:38 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
:up: pour version du 14 janvier 2012


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 16:25 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
suite au plantage de mon PC, je viens de réinstaller sur un linux tout neuf.
L'option de lecture directe nécessite que l'utilisateur soit ajouté au groupe floppy sur un ubuntu.

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 16:45 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
Oui, d'ailleurs, dans la documentation de Teo, il est spécifié dans "Activer l'accès direct aux disquettes sur les systèmes Linux récents/Déclarer les accès disquette" que l'on doit exécuter la commande "sudo adduser $USER floppy" dans un terminal. Ce qui a pour effet d'ajouter l'utilisateur dans le fichier /etc/group pour le floppy.


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 17:21 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
Pour la prochaine version, il faudra peut-être penser aussi à mettre à jour SAP2 ;)


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 18:16 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
effectivement, et peut être aussi faire une petite interface GTK pour SAP2 et SAPFS.

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 18:55 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
Je me suis risqué à faire une interface graphique pour CC90 mais j'ai laissé de côté, vu la complexité de l'affaire. Le code de l'interface pendra plus de place que le reste.

Alors je te laisse le soin de t'en occuper.

Mais peut-être pas pour la version suivante, ça fait déjà 3 mois qu'on est dessus...


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 19:15 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
avec le code actuel de l'émulateur on doit pouvoir rapidement faire une interface utilisable, je vais bricoler un truc dans mon coin.
Je viens de faire un test intéressant, avec une disquette DD neuve (new old stock), formatage et transfert avec ma version de sap2 puis relecture avec le mode direct sous émulation. Rapide et efficace (testé avec le NyanCat d'OlivierP).
J'ai également pu lancer les disquettes livrées avec mon TO9+, Bobo s'est parfaitement lancé avec teo (mais la compil mgt+sapiens a des erreurs de lecture).

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 19:26 
Hors ligne

Inscription: 24 Juil 2010, 16:08
Messages: 417
Localisation: France
Pour les interfaces graphiques il y a IUP
http://www.tecgraf.puc-rio.br/iup/

ça marche pour windows et linux et c'est assez bien fait pour pas nécessiter trop de code. Et la lib n'est pa strop grosse non plus.

Je l'ai utilisé pour le logiciel de pilotage de mon simulateur de LEP USB. Tout s'est bien passé : installation, compilation, et utilisation :)


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 02 Mar 2012, 21:14 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
à voir, mais bon, l'intéret d'ajouter une couche à une lib qui est déjà compatible linux, macos et windows (GTK qui est ici utilisé comme driver) me parait assez limité... ca peut être intéressant pour avoir une compatibilité avec de très vieux unix qui n'ont que motif par contre...

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 03 Mar 2012, 23:09 
Hors ligne

Inscription: 24 Juil 2010, 16:08
Messages: 417
Localisation: France
Attention, sous Windows GTK n'est pas utilisé, ça passe par COMCTRL32 (la lib standard de windows).

Pour MacOS X, en théorie il est également possible d'utiliser les contrôles natifs, simplement personne ne s'en est occupé.

D'autre part, je n'ai pas vraiement envie de me lancer dans la programmation GTK, de ce que j'en ai vu c'est beaucoup plus compliqué et pas forcément plus puissant. Mais bon, pour ceux qui sont déjà habitués à GTK, en effet, c'est peut être pas la peine. Encore que, vu l'intégration de GTK sous Windows...


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 03 Mar 2012, 23:36 
Hors ligne

Inscription: 21 Avr 2010, 10:59
Messages: 230
GTK est assez bien pensé pour l'intégration dans le source C, d'autres bindings semblent aussi plutot intéressants, comme perl/GTK. J'ai un peu été calmé par wxWidgets, plus facile à coder mais problématique à la compilation... donc ajouter une surcouche je vais éviter pour cette fois ci je pense.

_________________
http://www.alternative-system.com


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 04 Mar 2012, 17:39 
Hors ligne

Inscription: 24 Juil 2010, 16:08
Messages: 417
Localisation: France
wxWidgets m'a causé surtout beaucoup de problèmes de lenteur dès que j'ai voulu faire des choses un peu compliquées, comme un éditeur de mémoire, ou un visualisateur de secteurs d'un lecteur de disquette. Il manque aussi de souplesse, car il est très difficile d'écrire un widget personalisé (par exemple un éditeur hexa, ou une spinbox affichant sa valeur en hexadécimal). D'autre part, ce n'est pas simplement un outil pour les interfaces graphiques, mais un framework complet avec gestion des threads, des chaines de caractères, etc. Il est donc difficile à utiliser avec du code déjà existant.


Haut
 Profil  
Répondre en citant le message  
 Sujet du message:
MessagePosté: 05 Mar 2012, 08:26 
Hors ligne

Inscription: 27 Juin 2006, 19:44
Messages: 1054
Localisation: France (24)
Il est écrit à "Availability", sur le site d'IUP :
Citation:
UNIX (FreeBSD and Linux) using GTK+ (since 3.0)

3.0 ? C'est un peu embêtant. Je suis encore sous Lucid (Ubuntu 10.04), et la version de GTK est encore la 2.0. Elle ne passe à 3.0 que dans les distributions suivantes.


Haut
 Profil  
Répondre en citant le message  
Afficher les messages postés depuis:  Trier par  
Poster un nouveau sujet Répondre au sujet  [ 16 messages ]  Aller à la page 1, 2  Suivante

Heures au format UTC + 1 heure


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 3 invités


Vous ne pouvez pas poster de nouveaux sujets
Vous ne pouvez pas répondre aux sujets
Vous ne pouvez pas éditer vos messages
Vous ne pouvez pas supprimer vos messages
Vous ne pouvez pas joindre des fichiers

Rechercher:
Aller à:  
cron
Développé par phpBB® Forum Software © phpBB Group
Traduction par phpBB-fr.com